/**
* @author Dirk Nordmann
* @date   24.01.2002
*/
package img2wmf;

import util.*;
import java.io.*; 

public class JpegToWMF extends ImageToImage
{
  private String filename;

  /**
  * Constructor
  */
  public JpegToWMF(String newFilename, int newWidth, int newHeight) 
  {
    this.filename = newFilename;
    this.setWidth(newWidth);
    this.setHeight(newHeight);
  }

  /**
  * Returns the RTF Control-Word for this image.
  * @return String
  */
  public String getRtfControlWorld() 
  {
    return "jpegblip";
  }

  /**
  * Returns the WMF data for this image.
  */
  public String getWmfData()
  {
    String s = "";
    try {
      FileInputStream f = new FileInputStream(this.filename);
      BufferedInputStream in = new BufferedInputStream(f,1024);
      while (true) {
        byte[] buf = new byte[1024];
        int i = in.read(buf);
        if (i < 0) break;
        for (int j=0; j < i; j++) {
          int b = buf[j];
          if (b < 0) b += 256;
          s += HexValuesOutputStream.toHexString(b);
          /*
          s += Integer.toHexString(b / 16);
          s += Integer.toHexString(b % 16);
          System.out.println(Integer.toHexString(b/16) + Integer.toHexString(b%16) + "->" + b);
          */
        }
      }
      in.close();
      f.close();
    } 
    catch (Exception ex) {
      ex.printStackTrace();
    }
    return s;
  }

}